channel.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Test::Int::Channel::ChannelFull
| Simple test for channel (testing all variables). More...
class | Test::Int::Channel::ChannelHalf
| Simple test for channel (testing single set of variables). More...
class | Test::Int::Channel::ChannelShared
| Test channel with shared variables More...
class | Test::Int::Channel::ChannelLinkSingle
| Test channel between integer and Boolean variable More...
class | Test::Int::Channel::ChannelLinkMulti
| Test channel between integer variable and array of Boolean variables More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Channel
| Tests for channel constraints

## Variables

ChannelFull | Test::Int::Channel::cfd (0, 0, Gecode::IPL_DOM)
ChannelFull | Test::Int::Channel::cfv (0, 0, Gecode::IPL_VAL)
ChannelFull | Test::Int::Channel::cfd11 (1, 1, Gecode::IPL_DOM)
ChannelFull | Test::Int::Channel::cfv11 (1, 1, Gecode::IPL_VAL)
ChannelFull | Test::Int::Channel::cfd35 (3, 5, Gecode::IPL_DOM)
ChannelFull | Test::Int::Channel::cfv35 (3, 5, Gecode::IPL_VAL)
ChannelHalf | Test::Int::Channel::chd (Gecode::IPL_DOM)
ChannelHalf | Test::Int::Channel::chv (Gecode::IPL_VAL)
ChannelShared | Test::Int::Channel::csd (Gecode::IPL_DOM)
ChannelShared | Test::Int::Channel::csv (Gecode::IPL_VAL)
ChannelLinkSingle | Test::Int::Channel::cls
ChannelLinkMulti | Test::Int::Channel::clma ("A", 0, 5, 0)
ChannelLinkMulti | Test::Int::Channel::clmb ("B", 1, 6, 1)
ChannelLinkMulti | Test::Int::Channel::clmc ("C",-1, 4,-1)